Navs

Bootstrap Navs

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Documentation and examples for how to use Bootstrap’s included navigation components.


Base nav

The available Navigation Methods in Bootstrap share general markup and styles, from the base .nav class to the active and disabled states. Just swap modifier classes to switch between each style.

The base .nav component is built with flexbox and provides a strong foundation for building all types of navigation components. It includes some style overrides (for working with lists), some link padding for larger hit areas, and basic disabled styling.

The base .nav component does not include any .active state. The following examples include the class, mainly to demonstrate that this particular class does not trigger any special styling.

        
            

        <ul class="nav grey lighten-4 py-4">
          <li class="nav-item">
            <a class="nav-link active" href="#!">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#!">Disabled</a>
          </li>
        </ul>

      
        
    

Classes are used throughout, so your markup can be super flexible. Use ul's like above, or roll your own with say a .nav element. Because the .nav class uses display: flex, the nav links behave the same as nav items would, but without the extra markup.

        
            
        <nav class="nav grey lighten-4 py-4">
          <a class="nav-link active" href="#">Active</a>
          <a class="nav-link" href="#">Link</a>
          <a class="nav-link" href="#">Link</a>
          <a class="nav-link disabled" href="#">Disabled</a>
        </nav>

      
        
    

Available styles

You can change the style of .nav's component with modifiers and utilities. Just mix and match as needed, or build your own.

Horizontal alignment

You may change the horizontal alignment of your nav with flexbox utilities. By default, navs are left-aligned, but you can easily change them to center or right aligned.

Centered with .justify-content-center:

        
            

        <ul class="nav justify-content-center grey lighten-4 py-4">
          <li class="nav-item">
            <a class="nav-link active" href="#!">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#!">Disabled</a>
          </li>
        </ul>

      
        
    

Right-aligned with .justify-content-end:

        
            

        <ul class="nav justify-content-end grey lighten-4 py-4">
          <li class="nav-item">
            <a class="nav-link active" href="#!">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#!">Disabled</a>
          </li>
        </ul>

      
        
    

Vertical

Stack your navigation by changing the flex item direction with the .flex-column utility. Need to stack them on some viewports but not others? Use the responsive versions (e.g., .flex-sm-column ).

        
            

        <ul class="nav flex-column grey lighten-4 py-4">
          <li class="nav-item">
            <a class="nav-link active" href="#!">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#!">Disabled</a>
          </li>
        </ul>
      
        
    

As always, vertical navigation is possible without <ul>s, too.

        
            

        <nav class="nav flex-column blue lighten-5 py-4">
          <a class="nav-link active" href="#">Active</a>
          <a class="nav-link" href="#">Link</a>
          <a class="nav-link" href="#">Link</a>
          <a class="nav-link disabled" href="#">Disabled</a>
        </nav>
      
        
    

        
            

        <!-- Grid row -->
        <div class="row">

          <!-- Grid column -->
          <div class="col-md-6">

            <nav class="nav flex-column grey lighten-4 py-4 font-weight-bold">
              <a class="nav-link active" href="#">Active</a>
              <a class="nav-link" href="#">Link</a>
              <a class="nav-link" href="#">Link</a>
              <a class="nav-link disabled" href="#">Disabled</a>
            </nav>

          </div>
          <!-- Grid column -->

          <!-- Grid column -->
          <div class="col-md-6">

            <ul class="nav grey lighten-4 py-4 font-weight-bold">
              <li class="nav-item">
                <a class="nav-link active" href="#!">Active</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link disabled" href="#!">Disabled</a>
              </li>
            </ul>

          </div>
          <!-- Grid column -->

        </div>
        <!-- Grid row -->

      
        
    

Info notification

MDB has hundreds of colors to use within navs. Take a look here to know all the possibilities.

        
            
        <!-- Grid row -->
        <div class="row">

          <!-- Grid column -->
          <div class="col-md-4">

            <nav class="nav flex-column pink lighten-3 py-4 mb-r font-weight-bold z-depth-1">
              <a class="nav-link active white-text" href="#">Active</a>
              <a class="nav-link white-text" href="#">Link 1</a>
              <a class="nav-link white-text" href="#">Link 2</a>
              <a class="nav-link white-text" href="#">Link 3</a>
            </nav>

          </div>
          <!-- Grid column -->

          <!-- Grid column -->
          <div class="col-md-4">

            <nav class="nav flex-column amber lighten-3 py-4 mb-r font-weight-bold z-depth-1">
              <a class="nav-link active dark-grey-text" href="#">Active</a>
              <a class="nav-link dark-grey-text" href="#">Link 1</a>
              <a class="nav-link dark-grey-text" href="#">Link 2</a>
              <a class="nav-link dark-grey-text" href="#">Link 3</a>
            </nav>

          </div>
          <!-- Grid column -->

          <!-- Grid column -->
          <div class="col-md-4">

            <nav class="nav flex-column cyan lighten-3 py-4 mb-r font-weight-bold z-depth-1">
              <a class="nav-link active indigo-text" href="#">Active</a>
              <a class="nav-link indigo-text" href="#">Link 1</a>
              <a class="nav-link indigo-text" href="#">Link 2</a>
              <a class="nav-link indigo-text" href="#">Link 3</a>
            </nav>

          </div>
          <!-- Grid column -->

        </div>
        <!-- Grid row -->
      
        
    
        
            

        .nav a.white-text:hover {
        color: #e0e0e0!important;
        }
        .nav a.dark-grey-text:hover {
        color: #78909c!important;
        }
        .nav a.indigo-text:hover {
        color: #7986cb!important;
        }
      
        
    
        
            

        <!-- Grid row -->
        <div class="row">

          <!-- Grid column -->
          <div class="col-md-6">

            <ul class="nav peach-gradient lighten-3 py-4 mb-4 font-weight-bold z-depth-1">
              <li class="nav-item">
                <a class="nav-link active white-text" href="#!">Active</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
            </ul>

            <ul class="nav purple-gradient py-4 mb-4 mb-md-0 font-weight-bold z-depth-1">
              <li class="nav-item">
                <a class="nav-link active white-text" href="#!">Active</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
            </ul>

          </div>
          <!-- Grid column -->

          <!-- Grid column -->
          <div class="col-md-6">

            <ul class="nav aqua-gradient py-4 mb-4 font-weight-bold z-depth-1">
              <li class="nav-item">
                <a class="nav-link active white-text" href="#!">Active</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
            </ul>

            <ul class="nav blue-gradient py-4 mb-md-0 mb-4 font-weight-bold z-depth-1">
              <li class="nav-item">
                <a class="nav-link active white-text" href="#!">Active</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link white-text" href="#!">Link</a>
              </li>
            </ul>

          </div>
          <!-- Grid column -->

        </div>
        <!-- Grid row -->
      
        
    
        
            
        .nav a.white-text:hover {
        color: #e0e0e0!important;
        }
      
        
    

Tabs

Takes the basic nav from above and adds the .nav-tabs class to generate a tabbed interface.

        
            

        <ul class="nav nav-tabs">
          <li class="nav-item">
            <a class="nav-link active" href="#">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#">Disabled</a>
          </li>
        </ul>
      
        
    

MDB Tabs MDB Pro component

Check our documentation about tabs.

        
            

        <ul class="nav md-tabs light-blue lighten-1 mx-0 mb-0 mt-1">
          <li class="nav-item">
            <a class="nav-link active" href="#!">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 1</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 2</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 3</a>
          </li>
        </ul>
      
        
    

Pills

Take that same HTML, but use .nav-pills instead:

        
            
        <ul class="nav nav-pills">
          <li class="nav-item">
            <a class="nav-link active" href="#">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#">Disabled</a>
          </li>
        </ul>
      
        
    

MDB Pills MDB Pro component

Check our documentation about pills.

        
            

        <ul class="nav md-pills pills-unique">
          <li class="nav-item">
            <a class="nav-link active" href="#!">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 1</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 2</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 3</a>
          </li>
        </ul>
      
        
    

Fill and justify

Force your .nav’s contents to extend the full available width one of two modifier classes. On order to proportionately fill all available space with your .nav-items, use .nav-fill. Notice that all horizontal space is occupied, but not every nav item has the same width.

        
            

        <ul class="nav nav-pills nav-fill">
          <li class="nav-item">
            <a class="nav-link active" href="#">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Longer nav link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#">Disabled</a>
          </li>
        </ul>

      
        
    

When using a <nav> -based navigation, be sure to include .nav-item on the anchors.

        
            

        <nav class="nav nav-pills nav-fill">
          <a class="nav-item nav-link active" href="#">Active</a>
          <a class="nav-item nav-link" href="#">Link</a>
          <a class="nav-item nav-link" href="#">Link</a>
          <a class="nav-item nav-link disabled" href="#">Disabled</a>
        </nav>

      
        
    

For equal-width elements, use .nav-justified. All horizontal space will be occupied by nav links, but unlike the .nav-fill above, every nav item will be the same width.

        
            

        <nav class="nav nav-pills nav-justified">
          <a class="nav-link active" href="#">Active</a>
          <a class="nav-link" href="#">Longer nav link</a>
          <a class="nav-link" href="#">Link</a>
          <a class="nav-link disabled" href="#">Disabled</a>
        </nav>

      
        
    

Similar to the .nav-fill example using a <nav>-based navigation, be sure to include .nav-item on the anchors.

        
            

        <nav class="nav nav-pills nav-justified">
          <a class="nav-item nav-link active" href="#">Active</a>
          <a class="nav-item nav-link" href="#">Link</a>
          <a class="nav-item nav-link" href="#">Link</a>
          <a class="nav-item nav-link disabled" href="#">Disabled</a>
        </nav>

      
        
    

MDB Tabs justified MDB Pro component

        
            

        <ul class="nav md-tabs nav-justified purple lighten-2 mx-0 mb-0 mt-1">
          <li class="nav-item">
            <a class="nav-link active" href="#!">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 1</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 2</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 3</a>
          </li>
        </ul>
      
        
    

MDB Pills justified MDB Pro component

        
            

        <ul class="nav md-pills nav-justified">
          <li class="nav-item">
            <a class="nav-link active" href="#!">Active</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 1</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 2</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 3</a>
          </li>
        </ul>
      
        
    

Working with flex utilities

If you need responsive nav variations, consider using a series of flexbox utilities. While more verbose, these utilities offer greater customization across responsive breakpoints. In the example below, our nav will be stacked on the lowest breakpoint, then adapt to a horizontal layout that fills the available width starting from the small breakpoint.

        
            

        <nav class="nav nav-pills flex-column flex-sm-row">
          <a class="flex-sm-fill text-sm-center nav-link active" href="#">Active</a>
          <a class="flex-sm-fill text-sm-center nav-link" href="#">Link</a>
          <a class="flex-sm-fill text-sm-center nav-link" href="#">Link</a>
          <a class="flex-sm-fill text-sm-center nav-link disabled" href="#">Disabled</a>
        </nav>

      
        
    

Regarding accessibility

If you’re using navs to provide a navigation bar, be sure to add a role="navigation" to the most logical parent container of the <ul>, or wrap a <nav> element around the whole navigation. Do not add the role to the <ul> itself, as this would prevent it from being announced as an actual list by assistive technologies.

Note that navigation bars, even if visually styled as tabs with the .nav-tabs class, should not be given role="tablist", role="tab" or role="tabpanel" attributes. These are only appropriate for dynamic tabbed interfaces, as described in the WAI ARIA Authoring Practices . See JavaScript behavior for dynamic tabbed interfaces in this section for an example.


Using dropdowns

Tabs with dropdowns

Add dropdown menus with a little extra HTML and the dropdowns JavaScript plugin.

        
            

        <ul class="nav nav-tabs">
          <li class="nav-item">
            <a class="nav-link active" href="#">Active</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true"
              aria-expanded="false">Dropdown</a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a>
              <a class="dropdown-item" href="#">Something else here</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Separated link</a>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#">Disabled</a>
          </li>
        </ul>

        
        
    

MDB Tabs with dropdownMDB Pro component

        
            

        <ul id="no-waves" class="nav md-tabs pink lighten-1 mx-0 mb-0 mt-1">
          <li class="nav-item">
            <a class="nav-link active" href="#">Active</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true"
              aria-expanded="false">Dropdown</a>
            <div class="dropdown-menu dropdown-secondary">
              <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a>
              <a class="dropdown-item" href="#">Something else here</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Separated link</a>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 1</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 2</a>
          </li>
        </ul>

      
        
    
        
            
        .md-tabs .nav-item.show .nav-link {
         background-color: transparent;
         color: #fff;
        }
      
        
    
        
            
        $(document).ready(function() {
         $('#no-waves .dropdown').removeClass('waves-effect');
        });
      
        
    

Pills with dropdowns

        
            

        <ul class="nav nav-pills">
          <li class="nav-item">
            <a class="nav-link active" href="#">Active</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true"
              aria-expanded="false">Dropdown</a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a>
              <a class="dropdown-item" href="#">Something else here</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Separated link</a>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#">Disabled</a>
          </li>
        </ul>
      
        
    

MDB Pills with dropdown MDB Pro component

        
            

        <ul class="nav md-pills nav-justified pills-danger">
          <li class="nav-item">
            <a class="nav-link active " href="#">Active</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true"
              aria-expanded="false">Dropdown</a>
            <div class="dropdown-menu">
              <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a>
              <a class="dropdown-item" href="#">Something else here</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Separated link</a>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 1</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#!">Link 2</a>
          </li>
        </ul>
      
        
    

JavaScript behavior

Use the tab JavaScript plugin — you may include it individually or through the compiled bootstrap.js file — to extend our navigational tabs and pills to create tabbable panes of local content, even via dropdown menus.

Dynamic tabbed interfaces, as described in the WAI ARIA Authoring Practices, require role="tablist", role="tab" or role="tabpanel", and additional aria- attributes in order to convey their structure, functionality and current state to users of assistive technologies (such as screen readers).

Note that dynamic tabbed interfaces should not contain dropdown menus, as this causes both usability and accessibility issues. From a usability perspective, the fact that the currently displayed tab’s trigger element is not immediately visible (as it’s inside the closed dropdown menu) may cause confusion. From an accessibility point of view, there is currently no sensible way to map this sort of construct to a standard WAI ARIA pattern, meaning that it cannot be easily made understandable to users of assistive technologies.

Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.

Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.

Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.

        
            

        <ul class="nav nav-tabs" id="myTab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home"
              aria-selected="true">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile"
              aria-selected="false">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="contact-tab" data-toggle="tab" href="#contact" role="tab" aria-controls="contact"
              aria-selected="false">Contact</a>
          </li>
        </ul>
        <div class="tab-content" id="myTabContent">
          <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">...</div>
          <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">...</div>
          <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">...</div>
        </div>

      
        
    

To help fit your needs, this works with <ul>-based markup, as shown above, or with any arbitrary “roll your own” markup. Note that if you’re using <nav>, you shouldn’t add role="tablist" directly to it, as this would override the element’s native role as a navigation landmark. Instead, switch to an alternative element (in the example below, a simple <div>) and wrap the <div> around it.

        
            

        <nav>
          <div class="nav nav-tabs" id="nav-tab" role="tablist">
            <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab"
              aria-controls="nav-home" aria-selected="true">Home</a>
            <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab"
              aria-controls="nav-profile" aria-selected="false">Profile</a>
            <a class="nav-item nav-link" id="nav-contact-tab" data-toggle="tab" href="#nav-contact" role="tab"
              aria-controls="nav-contact" aria-selected="false">Contact</a>
          </div>
        </nav>
        <div class="tab-content" id="nav-tabContent">
          <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">...</div>
          <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">...</div>
          <div class="tab-pane fade" id="nav-contact" role="tabpanel" aria-labelledby="nav-contact-tab">...</div>
        </div>

      
        
    

The tabs plugin also works with pills.

Consequat occaecat ullamco amet non eiusmod nostrud dolore irure incididunt est duis anim sunt officia. Fugiat velit proident aliquip nisi incididunt nostrud exercitation proident est nisi. Irure magna elit commodo anim ex veniam culpa eiusmod id nostrud sit cupidatat in veniam ad. Eiusmod consequat eu adipisicing minim anim aliquip cupidatat culpa excepteur quis. Occaecat sit eu exercitation irure Lorem incididunt nostrud.

Ad pariatur nostrud pariatur exercitation ipsum ipsum culpa mollit commodo mollit ex. Aute sunt incididunt amet commodo est sint nisi deserunt pariatur do. Aliquip ex eiusmod voluptate exercitation cillum id incididunt elit sunt. Qui minim sit magna Lorem id et dolore velit Lorem amet exercitation duis deserunt. Anim id labore elit adipisicing ut in id occaecat pariatur ut ullamco ea tempor duis.

Est quis nulla laborum officia ad nisi ex nostrud culpa Lorem excepteur aliquip dolor aliqua irure ex. Nulla ut duis ipsum nisi elit fugiat commodo sunt reprehenderit laborum veniam eu veniam. Eiusmod minim exercitation fugiat irure ex labore incididunt do fugiat commodo aliquip sit id deserunt reprehenderit aliquip nostrud. Amet ex cupidatat excepteur aute veniam incididunt mollit cupidatat esse irure officia elit do ipsum ullamco Lorem. Ullamco ut ad minim do mollit labore ipsum laboris ipsum commodo sunt tempor enim incididunt. Commodo quis sunt dolore aliquip aute tempor irure magna enim minim reprehenderit. Ullamco consectetur culpa veniam sint cillum aliqua incididunt velit ullamco sunt ullamco quis quis commodo voluptate. Mollit nulla nostrud adipisicing aliqua cupidatat aliqua pariatur mollit voluptate voluptate consequat non.

        
            

        <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab"
              aria-controls="pills-home" aria-selected="true">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="pills-profile-tab" data-toggle="pill" href="#pills-profile" role="tab"
              aria-controls="pills-profile" aria-selected="false">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#pills-contact" role="tab"
              aria-controls="pills-contact" aria-selected="false">Contact</a>
          </li>
        </ul>
        <div class="tab-content" id="pills-tabContent">
          <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">...</div>
          <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">...</div>
          <div class="tab-pane fade" id="pills-contact" role="tabpanel" aria-labelledby="pills-contact-tab">...</div>
        </div>

      
        
    

And with vertical pills.

Cillum ad ut irure tempor velit nostrud occaecat ullamco aliqua anim Lorem sint. Veniam sint duis incididunt do esse magna mollit excepteur laborum qui. Id id reprehenderit sit est eu aliqua occaecat quis et velit excepteur laborum mollit dolore eiusmod. Ipsum dolor in occaecat commodo et voluptate minim reprehenderit mollit pariatur. Deserunt non laborum enim et cillum eu deserunt excepteur ea incididunt minim occaecat.

Culpa dolor voluptate do laboris laboris irure reprehenderit id incididunt duis pariatur mollit aute magna pariatur consectetur. Eu veniam duis non ut dolor deserunt commodo et minim in quis laboris ipsum velit id veniam. Quis ut consectetur adipisicing officia excepteur non sit. Ut et elit aliquip labore Lorem enim eu. Ullamco mollit occaecat dolore ipsum id officia mollit qui esse anim eiusmod do sint minim consectetur qui.

Fugiat id quis dolor culpa eiusmod anim velit excepteur proident dolor aute qui magna. Ad proident laboris ullamco esse anim Lorem Lorem veniam quis Lorem irure occaecat velit nostrud magna nulla. Velit et et proident Lorem do ea tempor officia dolor. Reprehenderit Lorem aliquip labore est magna commodo est ea veniam consectetur.

Eu dolore ea ullamco dolore Lorem id cupidatat excepteur reprehenderit consectetur elit id dolor proident in cupidatat officia. Voluptate excepteur commodo labore nisi cillum duis aliqua do. Aliqua amet qui mollit consectetur nulla mollit velit aliqua veniam nisi id do Lorem deserunt amet. Culpa ullamco sit adipisicing labore officia magna elit nisi in aute tempor commodo eiusmod.

        
            

        <div class="row">
          <div class="col-3">
            <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
              <a class="nav-link active" id="v-pills-home-tab" data-toggle="pill" href="#v-pills-home" role="tab"
                aria-controls="v-pills-home" aria-selected="true">Home</a>
              <a class="nav-link" id="v-pills-profile-tab" data-toggle="pill" href="#v-pills-profile" role="tab"
                aria-controls="v-pills-profile" aria-selected="false">Profile</a>
              <a class="nav-link" id="v-pills-messages-tab" data-toggle="pill" href="#v-pills-messages" role="tab"
                aria-controls="v-pills-messages" aria-selected="false">Messages</a>
              <a class="nav-link" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab"
                aria-controls="v-pills-settings" aria-selected="false">Settings</a>
            </div>
          </div>
          <div class="col-9">
            <div class="tab-content" id="v-pills-tabContent">
              <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">...</div>
              <div class="tab-pane fade" id="v-pills-profile" role="tabpanel" aria-labelledby="v-pills-profile-tab">...</div>
              <div class="tab-pane fade" id="v-pills-messages" role="tabpanel" aria-labelledby="v-pills-messages-tab">...</div>
              <div class="tab-pane fade" id="v-pills-settings" role="tabpanel" aria-labelledby="v-pills-settings-tab">...</div>
            </div>
          </div>
        </div>
      
        
    

Using data attributes

You can activate a tab or pill navigation without writing any JavaScript by simply specifying data-toggle="tab" or data-toggle="pill" on an element. You can use these data attributes on .nav-tabs or .nav-pills.

        
            

        <!-- Nav tabs -->
        <ul class="nav nav-tabs" id="myTab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home"
              aria-selected="true">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile"
              aria-selected="false">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="messages-tab" data-toggle="tab" href="#messages" role="tab" aria-controls="messages"
              aria-selected="false">Messages</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="settings-tab" data-toggle="tab" href="#settings" role="tab" aria-controls="settings"
              aria-selected="false">Settings</a>
          </li>
        </ul>

        <!-- Tab panes -->
        <div class="tab-content">
          <div class="tab-pane active" id="home" role="tabpanel" aria-labelledby="home-tab">...</div>
          <div class="tab-pane" id="profile" role="tabpanel" aria-labelledby="profile-tab">...</div>
          <div class="tab-pane" id="messages" role="tabpanel" aria-labelledby="messages-tab">...</div>
          <div class="tab-pane" id="settings" role="tabpanel" aria-labelledby="settings-tab">...</div>
        </div>
      
        
    

Via JavaScript

Enable tabbable tabs via JavaScript (each tab needs to be activated individually):

        
            
        $('#myTab a').on('click', function (e) {
          e.preventDefault()
          $(this).tab('show')
        })
      
        
    

You can activate individual tabs in several ways:

        
            
        $('#myTab a[href="#profile"]').tab('show') // Select tab by name
        $('#myTab li:first-child a').tab('show') // Select first tab
        $('#myTab li:last-child a').tab('show') // Select last tab
        $('#myTab li:nth-child(3) a').tab('show') // Select third tab
      
        
    

Fade effect

To make tabs fade in, add to each .tab-pane. The first tab pane must also have .show to make the initial content visible.

        
            

        <div class="tab-content">
          <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">...</div>
          <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">...</div>
          <div class="tab-pane fade" id="messages" role="tabpanel" aria-labelledby="messages-tab">...</div>
          <div class="tab-pane fade" id="settings" role="tabpanel" aria-labelledby="settings-tab">...</div>
        </div>
      
        
    

Methods

Asynchronous methods and transitions

All API methods are asynchronous and start a transition. They return to the caller as soon as the transition is started but before it ends. Note that, a method call on a transitioning component will be ignored.

$().tab

Activates a tab element and content container. The tab should have either a data-target or an href targeting a container node in the DOM.

        
            

        <ul class="nav nav-tabs" id="myTab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home"
              aria-selected="true">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile"
              aria-selected="false">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="messages-tab" data-toggle="tab" href="#messages" role="tab" aria-controls="messages"
              aria-selected="false">Messages</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="settings-tab" data-toggle="tab" href="#settings" role="tab" aria-controls="settings"
              aria-selected="false">Settings</a>
          </li>
        </ul>

        <div class="tab-content">
          <div class="tab-pane active" id="home" role="tabpanel" aria-labelledby="home-tab">...</div>
          <div class="tab-pane" id="profile" role="tabpanel" aria-labelledby="profile-tab">...</div>
          <div class="tab-pane" id="messages" role="tabpanel" aria-labelledby="messages-tab">...</div>
          <div class="tab-pane" id="settings" role="tabpanel" aria-labelledby="settings-tab">...</div>
        </div>

      
        
    
        
            

        $(function () {
          $('#myTab li:last-child a').tab('show')
        })

      
        
    

.tab('show')

Selects the given tab and shows its associated pane. Any other tab that was previously selected becomes unselected and its associated pane is hidden. It returns to the caller before the tab pane has actually been shown (i.e. before the shown.bs.tab event occurs).

        
            
        $('#someTab').tab('show')
      
        
    

.tab('dispose')

Destroys an element’s tab..

        
            
        $('#someTab').tab('show')
      
        
    

Events

When showing a new tab, the events fire in the following order:

  1. hide.bs.tab (on the current active tab)
  2. show.bs.tab (on the to-be-shown tab)
  3. hidden.bs.tab (on the previous active tab, the same one as for the hide.bs.tab event)
  4. shown.bs.tab (on the newly-active just-shown tab, the same one as for the show.bs.tab event)

If no tab was already active, then the hide.bs.tab and hidden.bs.tab events will not be fired.

Event Type Description
show.bs.tab This event fires on tab show, but before the new tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
shown.bs.tab This event fires on tab show after a tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
hide.bs.tab This event fires when a new tab is to be shown (and thus the previous active tab is to be hidden). Use event.target and event.relatedTarget to target the current active tab and the new soon-to-be-active tab, respectively.
hidden.bs.tab This event fires after a new tab is shown (and thus the previous active tab is hidden). Use event.target and event.relatedTarget to target the previous active tab and the new active tab, respectively.
        
            
        $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
          e.target // newly activated tab
          e.relatedTarget // previous active tab
        })

Vue Bootstrap Navs

Vue Navs - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Documentation and examples for how to use Bootstrap’s included navigation components with Vue.


Base nav

Navigation available in Bootstrap share general markup and styles, from the base .nav class to the active and disabled states. Swap modifier classes to switch between each style.

The base mdb-navbar component is built with flexbox and provide a strong foundation for building all types of navigation components. It includes some style overrides (for working with lists), some link padding for larger hit areas, and basic disabled styling.

The base mdb-navbar component does not include any .active state. The following examples include the class, mainly to demonstrate that this particular class does not trigger any special styling.

        
            
      <template>
        <mdb-navbar color="grey" class=" lighten-4 py-4">
          <mdb-navbar-nav nav left>
            <mdb-nav-item href="#" active>Active</mdb-nav-item>
            <mdb-nav-item href="#">Link</mdb-nav-item>
            <mdb-nav-item href="#">Link</mdb-nav-item>
            <mdb-nav-item href="#" disabled>Disabled</mdb-nav-item>
          </mdb-navbar-nav>
        </mdb-navbar>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbNavbar,
          mdbNavbarNav,
          mdbNavItem
        } from 'mdbvue';
        export default {
          name: 'NavbarPage',
          components: {
            mdbNavbar,
            mdbNavbarNav,
            mdbNavbarItem
          }
        }
      </script>
      
        
    

Available styles

Change the style of mdb-navbars component with modifiers and utilities. Mix and match as needed, or build your own.

Horizontal alignment

Change the horizontal alignment of your nav with flexbox utilities. By default, navs are left-aligned, but you can easily change them to center or right aligned.

Centered with center prop:

        
            
        <template>
          <mdb-navbar color="grey" class=" lighten-4 py-4">
            <mdb-navbar-nav nav center>
              <mdb-nav-item href="#" active>Active</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#" disabled>Disabled</mdb-nav-item>
            </mdb-navbar-nav>
          </mdb-navbar>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavbarNav,
            mdbNavItem
          } from 'mdbvue';
          export default {
            name: 'NavbarPage',
            components: {
              mdbNavbar,
              mdbNavbarNav,
              mdbNavbarItem
            }
          }
        </script>
        
        
    

Right-aligned with right prop:

        
            
        <template>
          <mdb-navbar color="grey" class="lighten-4 py-4">
            <mdb-navbar-nav nav right>
              <mdb-nav-item href="#" active>Active</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#" disabled>Disabled</mdb-nav-item>
            </mdb-navbar-nav>
          </mdb-navbar>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavbarNav,
            mdbNavItem
          } from 'mdbvue';
          export default {
            name: 'NavbarPage',
            components: {
              mdbNavbar,
              mdbNavbarNav,
              mdbNavbarItem
            }
          }
        </script>
        
        
    

Vertical

Stack your navigation by changing the flex item direction with the vertical prop:

        
            
        <template>
          <mdb-navbar color="blue" class="lighten-5 py-4">
            <mdb-navbar-nav nav vertical>
              <mdb-nav-item href="#" active>Active</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#" disabled>Disabled</mdb-nav-item>
            </mdb-navbar-nav>
          </mdb-navbar>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavbarNav,
            mdbNavItem
          } from 'mdbvue';
          export default {
            name: 'NavbarPage',
            components: {
              mdbNavbar,
              mdbNavbarNav,
              mdbNavbarItem
            }
          }
        </script>
        
        
    

        
            
        <template>
          <mdb-navbar color="grey" class="lighten-4 py-4">
            <mdb-navbar-nav nav vertical class="font-weight-bold">
              <mdb-nav-item href="#" active>Active</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#" disabled>Disabled</mdb-nav-item>
            </mdb-navbar-nav>
          </mdb-navbar>
          <br>
          <mdb-navbar class="grey lighten-4 py-4">
            <mdb-navbar-nav nav class="font-weight-bold">
              <mdb-nav-item href="#" active>Active</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#">Link</mdb-nav-item>
              <mdb-nav-item href="#" disabled>Disabled</mdb-nav-item>
            </mdb-navbar-nav>
          </mdb-navbar>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavbarNav,
            mdbNavItem
          } from 'mdbvue';
          export default {
            name: 'NavbarPage',
            components: {
              mdbNavbar,
              mdbNavbarNav,
              mdbNavbarItem
            }
          }
        </script>
        
        
    

Info notification

MDB has hundreds of colors to use within navs. Take a look here to know all the possibilities.

        
            
        <template>
          <mdb-row>
            <mdb-col md="4">
              <mdb-navbar color="pink" class="lighten-3 py-4">
                <mdb-navbar-nav nav vertical class="font-weight-bold">
                  <mdb-nav-item href="#" active anchorClass="white-text">Active</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
            </mdb-col>
            <mdb-col md="4">
              <mdb-navbar color="amber" class="lighten-3 py-4">
                <mdb-navbar-nav nav vertical class="font-weight-bold">
                  <mdb-nav-item href="#" active anchorClass="dark-grey-text">Active</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="dark-grey-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="dark-grey-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="dark-grey-text">Link</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
            </mdb-col>
            <mdb-col md="4">
              <mdb-navbar color="cyan" class="lighten-3 py-4">
                <mdb-navbar-nav nav vertical class="font-weight-bold">
                  <mdb-nav-item href="#" anchorClass="indigo-text" active>Active</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="indigo-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="indigo-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="indigo-text">Link</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
            </mdb-col>
          </mdb-row>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavbarNav,
            mdbNavItem,
            mdbRow,
            mdbCol
          } from 'mdbvue';
          export default {
            name: 'NavbarPage',
            components: {
              mdbNavbar,
              mdbNavbarNav,
              mdbNavbarItem,
              mdbRow,
              mdbCol
            }
          }
        </script>
        
        
    
        
            
          <style>
            .nav a.white-text:hover {
              color: #e0e0e0 !important;
            }

            .nav a.dark-grey-text:hover {
              color: #78909c !important;
            }

            .nav a.indigo-text:hover {
              color: #7986cb !important;
            }
          </style>
          
        
    
        
            
        <template>
          <mdb-row>
            <mdb-col md="6">
              <mdb-navbar color="peach-gradient" class="lighten-3 py-4 mb-4">
                <mdb-navbar-nav nav class="font-weight-bold">
                  <mdb-nav-item href="#" active anchorClass="white-text">Active</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
            </mdb-col>
            <mdb-col md="6">
              <mdb-navbar color="purple-gradient" class="lighten-3 py-4 mb-4">
                <mdb-navbar-nav nav class="font-weight-bold">
                  <mdb-nav-item href="#" active anchorClass="white-text">Active</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
            </mdb-col>
            <mdb-col md="6">
              <mdb-navbar color="aqua-gradient" class="lighten-3 py-4 mb-4">
                <mdb-navbar-nav nav class="font-weight-bold">
                  <mdb-nav-item href="#" active anchorClass="white-text">Active</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
            </mdb-col>
            <mdb-col md="6">
              <mdb-navbar color="blue-gradient" class="lighten-3 py-4 mb-4">
                <mdb-navbar-nav nav class="font-weight-bold">
                  <mdb-nav-item href="#" active anchorClass="white-text">Active</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                  <mdb-nav-item href="#" anchorClass="white-text">Link</mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
            </mdb-col>
          </mdb-row>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbNavbar,
            mdbNavbarNav,
            mdbNavItem,
            mdbRow,
            mdbCol
          } from 'mdbvue';
          export default {
            name: 'NavbarPage',
            components: {
              mdbNavbar,
              mdbNavbarNav,
              mdbNavbarItem,
              mdbRow,
              mdbCol
            }
          }
        </script>
        
        
    
        
            
          <style>
            .nav a.white-text:hover {
              color: #e0e0e0 !important;
            }
          </style>
          
        
    

Tabs

Use our mdb-tabs component to generate a tabbed interface.

        
            
        <template>
          <mdb-container>
            <mdb-tabs 
              :active="0" 
              default 
              :links="
                [
                  { text: 'Active' },
                  { text: 'Link' },
                  { text: 'Link' },
                  { text: 'Disabled', disabled: true } 
                ]"
              :content="[
                  `Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.`,
                  `Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.`,
                  `Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.`]" />
          </mdb-container>
        </template>
        
        
    
        
            
          <script>
            import {
              mdbContainer,
              mdbCol,
              mdbRow,
              mdbIcon,
              mdbTabs
            } from 'mdbvue';
            export default {
              name: 'TabPage',
              components: {
                mdbContainer,
                mdbCol,
                mdbRow,
                mdbIcon,
                mdbTabs
              }
            }
          </script>
          
        
    

MDB Tabs MDB Pro component

Check our documentation about tabs.

        
            
          <template>
            <mdb-tabs :active="0" tabs color="light-blue" class="lighten-1 mx-0 mb-0 mt-1" :links="[
                { text: 'Active' },
                { text: 'Link 1' },
                { text: 'Link 2' },
                { text: 'Link 3' }]" />
          </template>
          
        
    
        
            
          <script>
            import {
              mdbTabs
            } from 'mdbvue';
            export default {
              name: 'Basic',
              components: {
                mdbTabs
              }
            }
          </script>
          
        
    

Pills

Take that same HTML, but use pills prop instead:

        
            
        <template>
          <mdb-tabs :active="0" pills color="primary" :links="[
              { text: 'Active' },
              { text: 'Link' },
              { text: 'Link' },
              { text: 'Link' },
              { text: 'Disabled', disabled: true }]" />
        </template>
        
        
    
        
            
          <script>
            import {
              mdbTabs
            } from 'mdbvue';
            export default {
              name: 'Basic',
              components: {
                mdbTabs
              }
            }
          </script>
          
        
    

MDB Pills MDB Pro component

Check our documentation about pills.

        
            
          <template>
            <mdb-tabs :active="0" pills color="unique" :links="[
                { text: 'Active' },
                { text: 'Link 1' },
                { text: 'Link 2' },
                { text: 'Link 3' }]" />
          </template>
          
        
    
        
            
            <script>
              import {
                mdbTabs
              } from 'mdbvue';
              export default {
                name: 'Basic',
                components: {
                  mdbTabs
                }
              }
            </script>
            
        
    

Fill and justify

Force your .nav’s contents to extend the full available width one of two modifier props. To proportionately fill all available space with your mdb-tabss, use fill. Notice that all horizontal space is occupied, but not every nav item has the same width.

        
            
        <template>
          <mdb-tabs :active="0" pills fill justify class="mb-5" :links="[
                { text: 'Active' },
                { text: 'Longer nav link' },
                { text: 'Link' },
                { text: 'Disabled', disabled: true }]" />
        </template>
        
        
    
        
            
          <script>
            import {
              mdbTabs
            } from 'mdbvue';
            export default {
              name: 'Pills',
              components: {
                mdbTabs
              }
            }
          </script>
          
        
    

MDB Tabs justified MDB Pro component

        
            
          <template>
            <mdb-tabs :active="0" tabs justify color="purple" :links="[
                  { text: 'Active' },
                  { text: 'Link 1' },
                  { text: 'Link 2' },
                  { text: 'Link 3' }]" />
          </template>
          
        
    
        
            
            <script>
              import {
                mdbTabs
              } from 'mdbvue';
              export default {
                name: 'Tabs',
                components: {
                  mdbTabs
                }
              }
            </script>
            
        
    

MDB Pills justified MDB Pro component

        
            
          <template>
            <mdb-tabs :active="0" pills justify :links="[
                  { text: 'Active' },
                  { text: 'Link 1' },
                  { text: 'Link 2' },
                  { text: 'Link 3' }]" />
          </template>
          
        
    
        
            
            <script>
              import {
                mdbTabs
              } from 'mdbvue';
              export default {
                name: 'Pills',
                components: {
                  mdbTabs
                }
              }
            </script>
            
        
    

Using dropdowns

Tabs with dropdowns

        
            
      <template>
        <mdb-tabs :active="0" tabs class="mb-2" :links="[
                { text: 'Active' },
                { text: 'Dropdown', dropdown: true, dropdownItems: [{ text: 'Action' }, { text: 'Another action' }, { text: 'Something else here' }, { divider: true }, { text: 'Separeted link'}]},
                { text: 'Link' },
                { text: 'Disabled', disabled: true } ]" />
      </template>
      
        
    
        
            
        <script>
          import {
            mdbTabs
          } from 'mdbvue';
          export default {
            name: 'Basic',
            components: {
              mdbTabs
            }
          }
        </script>
        
        
    

MDB Tabs with dropdownMDB Pro component

        
            
        <template>
          <mdb-tabs :active="0" tabs color="pink" class="mb-2" :links="[
                    { text: 'Active' },
                    { text: ': true, dropdownDropdown', dropdownItems: [{ text: 'Action' }, { text: 'Another action' }, { text: 'Something else here' }, { divider: true }, { text: 'Separeted link'}]},
                    { text: 'Link 1' },
                    { text: 'Link 2' } ]" />
        </template>
        
        
    
        
            
          <script>
            import {
              mdbTabs
            } from 'mdbvue';
            export default {
              name: 'Basic',
              components: {
                mdbTabs
              }
            }
          </script>
          
        
    
        
            
            <style>
              .md-tabs .nav-item.show .nav-link {
                background-color: transparent;
                color: #fff;
              }
            </style>
            
        
    

Pills with dropdowns

        
            
      <template>
        <mdb-tabs :active="0" pills class="mb-2" :links="[
                { text: 'Active' },
                { text: 'Dropdown', dropdown: true, dropdownItems: [{ text: 'Action' }, { text: 'Another action' }, { text: 'Something else here' }, { divider: true }, { text: 'Separeted link'}]},
                { text: 'Link' },
                { text: 'Disabled', disabled: true } ]" />
      </template>
      
        
    
        
            
        <script>
          import {
            mdbTabs
          } from 'mdbvue';
          export default {
            name: 'Basic',
            components: {
              mdbTabs
            }
          }
        </script>
        
        
    

MDB Pills with dropdown MDB Pro component

        
            
        <template>
          <mdb-tabs :active="0" pills color="danger" justify class="mb-2" :links="[
                  { text: 'Active' },
                  { text: 'Dropdown', dropdown: true, dropdownItems: [{ text: 'Action' }, { text: 'Another action' }, { text: 'Something else here' }, { divider: true }, { text: 'Separeted link'}]},
                  { text: 'Link 1' },
                  { text: 'Link 2' } ]" />
        </template>
        
        
    
        
            
          <script>
            import {
              mdbTabs
            } from 'mdbvue';
            export default {
              name: 'Basic',
              components: {
                mdbTabs
              }
            }
          </script>

React Navs

React Navs - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Documentation and examples for how to use React Bootstrap’s included navigation components.


Base nav

Navigation available in Bootstrap share general markup and styles, from the base .nav class to the active and disabled states. Swap modifier classes to switch between each style.

The base Nav component is built with flexbox and provide a strong foundation for building all types of navigation components. It includes some style overrides (for working with lists), some link padding for larger hit areas, and basic disabled styling.

The base Nav component does not include any .active state. The following examples include the class, mainly to demonstrate that this particular class does not trigger any special styling.

        
            

          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav>
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );

        
        
    

Classes are used throughout, so your markup can be super flexible. Because the Nav uses display: flex, the nav links behave the same as nav items would, but without the extra <NavItem>'s markup.

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav>
                <MDBNavLink active to="#!">Active</MDBNavLink>
                <MDBNavLink to="#!">Link</MDBNavLink>
                <MDBNavLink to="#!">Link</MDBNavLink>
                <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

Available styles

Change the style of Navs component with modifiers and utilities.

Horizontal alignment

Change the horizontal alignment of your nav with flexbox utilities. By default, Navs are left-aligned, but you can easily change them to center or right aligned.

Centered with .justify-content-center:

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="justify-content-center">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

Right-aligned with .justify-content-end:

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="justify-content-end">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

Vertical

Stack your navigation by changing the flex item direction with the .flex-column utility. Need to stack them on some viewports but not others? Use the responsive versions (e.g., .flex-sm-column ).

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="flex-column">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

As previously, vertical navigation is possible without <NavItem>s, too.

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="flex-column">
                <MDBNavLink active to="#!">Active</MDBNavLink>
                <MDBNavLink to="#!">Link</MDBNavLink>
                <MDBNavLink to="#!">Link</MDBNavLink>
                <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
              </MDBNav>
              
            </BrowserRouter>
          );
        
        
    

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink, MDBRow, MDBCol } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBRow>
                <MDBCol>
                  <MDBNav className="font-weight-bold">
                    <MDBNavLink active to="#!">Active</MDBNavLink>
                    <MDBNavLink to="#!">Link</MDBNavLink>
                    <MDBNavLink to="#!">Link</MDBNavLink>
                    <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                  </MDBNav>
                </MDBCol>
          
                <MDBCol>
                  <MDBNav className="flex-column font-weight-bold">
                    <MDBNavLink active to="#!">Active</MDBNavLink>
                    <MDBNavLink to="#!">Link</MDBNavLink>
                    <MDBNavLink to="#!">Link</MDBNavLink>
                    <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                  </MDBNav>
                </MDBCol>
              </MDBRow>
          
            </BrowserRouter>
          );
        
        
    

Info notification

MDB has hundreds of colors to use within navs. Take a look here to know all the possibilities. If you want to set background color of the Nav item, use color property.

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavLink, MDBContainer, MDBRow, MDBCol } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBContainer>
                <MDBRow>
                  <MDBCol>
                    <MDBNav color="grey" className="flex-column font-weight-bold">
                      <MDBNavLink className="white-text" active to="#!">Active</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 1</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 2</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 3</MDBNavLink>
                    </MDBNav>
                  </MDBCol>
            
                  <MDBCol>
                    <MDBNav color="amber" className="flex-column font-weight-bold">
                      <MDBNavLink active to="#!" className="dark-grey-text">Active</MDBNavLink>
                      <MDBNavLink to="#!" className="dark-grey-text">Link 1</MDBNavLink>
                      <MDBNavLink to="#!" className="dark-grey-text">Link 2</MDBNavLink>
                      <MDBNavLink to="#!" className="dark-grey-text">Link 3</MDBNavLink>
                    </MDBNav>
                  </MDBCol>
            
                  <MDBCol>
                    <MDBNav color="cyan" className="flex-column font-weight-bold">
                      <MDBNavLink active to="#!" className="indigo-text">Active</MDBNavLink>
                      <MDBNavLink to="#!">Link 1</MDBNavLink>
                      <MDBNavLink to="#!">Link 2</MDBNavLink>
                      <MDBNavLink to="#!">Link 3</MDBNavLink>
                    </MDBNav>
                  </MDBCol>
                </MDBRow>
              </MDBContainer>
          
            </BrowserRouter>
          );
        
        
    
        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavLink, MDBContainer, MDBRow, MDBCol } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBContainer>
                <MDBRow>
                  <MDBCol size="6">
                    <MDBNav color="peach-gradient" className="font-weight-bold py-4 px-2 mb-4">
                      <MDBNavLink className="white-text" active to="#!">Active</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 1</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 2</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 3</MDBNavLink>
                    </MDBNav>
          
                    <MDBNav color="purple-gradient" className="font-weight-bold py-4 px-2 mb-4">
                      <MDBNavLink className="white-text" active to="#!">Active</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 1</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 2</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 3</MDBNavLink>
                    </MDBNav>
                  </MDBCol>
          
                  <MDBCol size="6">
                    <MDBNav color="aqua-gradient" className="font-weight-bold py-4 px-2 mb-4">
                      <MDBNavLink className="white-text" active to="#!">Active</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 1</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 2</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 3</MDBNavLink>
                    </MDBNav>
          
                    <MDBNav color="blue-gradient" className="font-weight-bold py-4 px-2 mb-4">
                      <MDBNavLink className="white-text" active to="#!">Active</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 1</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 2</MDBNavLink>
                      <MDBNavLink className="white-text" to="#!">Link 3</MDBNavLink>
                    </MDBNav>
                  </MDBCol>
                </MDBRow>
              </MDBContainer>
          
            </BrowserRouter>
          );
        
        
    

Tabs

Takes the basic nav from above and add the .nav-tabs class to generate a tabbed interface.

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="nav-tabs mt-5">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 1</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 2</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 3</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

MDB Tabs MDB Pro component

Check our documentation about tabs.

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav tabs color="indigo">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 1</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 2</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 3</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

Pills

Take that same code, but use .nav-pills class instead:

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="nav-pills">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 1</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 2</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 3</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

MDB Pills MDB Pro component

Check our pills documentation.

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav pills color="unique">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 1</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 2</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 3</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

Fill and justify

Force your Nav’s contents to extend the full available width one of two modifier classes. To proportionately fill all available space with your NavItems, use class .nav-fill. Notice that all horizontal space is occupied, but not every nav item has the same width.

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="nav-pills nav-fill">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Longer nav link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

And filled <Nav tabs>:

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="nav-tabs nav-fill">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Longer nav link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

For equal-width elements, use .nav-justified. All horizontal space will be occupied by nav links, but unlike the .nav-fill above, every nav item will be the same width.

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="nav-pills nav-justified">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Longer nav link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

And justified <Nav tabs>:

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="nav-tabs nav-justified">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Longer nav link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

MDB Tabs justified MDB Pro component

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav tabs color="purple" className="nav-justified">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 1</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 2</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 3</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

MDB Pills justified MDB Pro component

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav pills className="nav-justified">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 1</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 2</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 3</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

Working with flex utilities

If you need responsive nav variations, consider using a series of flexbox utilities. While more verbose, these utilities offer greater customization across responsive breakpoints. In the example below, our nav will be stacked on the lowest breakpoint, then adapt to a horizontal layout that fills the available width starting from the small breakpoint.

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav className="nav-pills nav-fill flex-column flex-sm-row">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 1</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 2</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link 3</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

Using dropdowns

MDB Tabs with dropdownMDB Pro component

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink, MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav tabs color="secondary">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBDropdown>
                    <MDBDropdownToggle nav caret color="secondary">
                      Dropdown
                    </MDBDropdownToggle>
                    <MDBDropdownMenu color="secondary">
                      <MDBDropdownItem>Action</MDBDropdownItem>
                      <MDBDropdownItem>Another Action</MDBDropdownItem>
                      <MDBDropdownItem>Something else here</MDBDropdownItem>
                      <MDBDropdownItem divider />
                      <MDBDropdownItem>Separated link</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

MDB Pills with dropdown MDB Pro component

        
            
          import React from "react";
          import { BrowserRouter } from 'react-router-dom';
          import { MDBNav, MDBNavItem, MDBNavLink, MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdbreact";
          
          export default () => (
            <BrowserRouter>
          
              <MDBNav pills color="dark">
                <MDBNavItem>
                  <MDBNavLink active to="#!">Active</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBDropdown>
                    <MDBDropdownToggle nav caret color="dark">
                      Dropdown
                    </MDBDropdownToggle>
                    <MDBDropdownMenu color="dark">
                      <MDBDropdownItem>Action</MDBDropdownItem>
                      <MDBDropdownItem>Another Action</MDBDropdownItem>
                      <MDBDropdownItem>Something else here</MDBDropdownItem>
                      <MDBDropdownItem divider />
                      <MDBDropdownItem>Separated link</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink to="#!">Link</MDBNavLink>
                </MDBNavItem>
                <MDBNavItem>
                  <MDBNavLink disabled to="#!">Disabled</MDBNavLink>
                </MDBNavItem>
              </MDBNav>
          
            </BrowserRouter>
          );
        
        
    

React Nav - API

In this section you will find advanced information about the Nav component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Imports

        
            
          import React from 'react';
          import { MDBNav, MDBNavItem, MDBNavLink } from 'mdbreact';
        
        
    

API Reference: Navs Properties

The table below shows the configuration options of the MDBNav component.

Name Type Default Description Example
classicTabs Boolean false Changes default nav to Classic Tab <MDBNav classicTabs />
className String - Sets custom classes <MDBNav className="customClass" />
color String - Sets navs background color. Use mdb color palette <MDBNav color="indigo" />
header Boolean false Sets Navs styles for pills header <MDBNav header />
pills Boolean false Changes Navs copmonent to Pills component. Use MDB Pills component <MDBNav pills />
tabs Boolean false Changes Navs copmonent to Tabs component. Use MDB Tabs component <MDBNav tabs />
tag String nav Changes default nav tag <MDBNav tag="div" />

API Reference: NavItem Properties

The table below shows the configuration options of the <­MDBNavItem/> component.

Name Type Default Description Example
active Boolean false Sets active state of the NavItem <MDBNavItem active />
className String Sets custom classes <MDBNavItem className="customClass" />
tag String li Changes default nav tag <MDBNavItem tag="div" />